import request from '@/utils/request'

/**
 * 公司注册
 * @param {object} data 注册所需的参数
 * @returns 请求的结果，是一个promise对象
 */
export function companyRegister(data) {
    return request({
        url: '/company/companyRegister',
        method: 'post',
        data: data
    })
}

//新增公司资料
export function addCompany(data) {
    return request({
        url: '/company/addCompany',
        method: 'post',
        data: data
    })
}

//修改公司资料
export function updateCompany(data) {
    return request({
        url: '/company/updateCompany',
        method: 'post',
        data: data
    })
}

//删除公司资料
export function deleteCompany(data) {
    return request({
        url: '/company/deleteCompany',
        method: 'post',
        data: data
    })
}

//基于记录id获得公司资料
export function getCompanyById(data) {
    return request({
        url: '/company/getCompanyById',
        method: 'post',
        data: data
    })
}

//分页查询公司资料
export function getCompanyPageList(data) {
    return request({
        url: '/company/getCompanyPageList',
        method: 'post',
        data: data
    })
}

